MidoNet API
===========

Overview
--------

This charm installs the  midonet-api which is the component that receives the
network definitions from neutron via its MidoNet plugin and converts it into
the MidoNet network overlay configuration in Apache Zookeeper that is consumed
by the MidoNet Host Agents in order to perform the network simulations that
will populate the flows.

The MidoNet API is hosted by an Apache Tomcat servlet and the version (upstream
opensource or downstream MEM) that is installed is determined by the
midonet-origin configuration. Its defaults come from the midonet-midonet
puppet module in puppet forge.

The API won't be functional until it has joined relations with keystone and
zookeeper hosts, as they are necessary for authentication and data keeping.

Usage
-----

```bash
juju deploy midonet-api
juju add-relation midonet-api zookeeper
juju add-relation midonet-api keystone
```
